%define qtdir /usr/lib/qt-1.45
%define sourcedir stable/%{version}/distribution/tar/generic/source

Name: kdemultimedia
Icon: kde-icon.xpm
Summary: Multimedia applications for the K Desktop Environment (KDE).
Version: 1.1.2
Release: 12
Epoch: 5
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2
Patch0: kdemultimedia-1.1-redhat.patch
Patch1: kdemultimedia-1.1.2-localkscd.patch
Patch2: kdemultimedia-1.1.2-kmix-err.patch
Patch3: kdemultimedia-kmidi-nofiles.patch
Patch4: kdemultimedia-kernel2.3.patch
Patch5: kdemultimedia-kscd.patch
Patch6: kdemultimedia-gcc296.patch
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-buildroot
Copyright: GPL
Requires: kdesupport
Prefix: /usr
BuildPrereq: kdesupport-devel, kdelibs-devel
%ifnarch ia64
BuildPrereq: compat-egcs-c++
%endif
Excludearch: ia64

%description
The K Desktop Environment (KDE) is a GUI desktop for the X Window
System. The kdemultimedia package contains multimedia applications for
KDE, including kmedia, a media player; kmid, a midi/karaoke player;
kmidi, a midi-to-wav player/converter; kmix, a mixer; and kscd, and
audio CD player.

Install kdemultimedia if you need multimedia applications for KDE. If
you're installing KDE, you'll also need to install kdebase, kdelibs
and kdesupport.

%prep
%setup -q -n kdemultimedia
make -f Makefile.cvs
%patch0 -p1 -b .redhat
%patch1 -p1 -b .localkscd
%patch2 -p1 -b .kmix-err
%patch3 -p1 -b .kmidi-nofiles
#%patch4 -p1 -b .kernel23
%patch5 -p1 -b .shm
%patch6 -p1 -b .gcc

%build
export KDEDIR=%{prefix} QTDIR=%{qtdir}
%ifnarch ia64
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
%else
export CXX="g++" CC="gcc"
%endif
FLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG"

[ -x /usr/bin/getconf ] && CPUS=`getconf _NPROCESSORS_ONLN`
[ "x$CPUS" = "x" -o "x$CPUS" = "x0" ] && CPUS=1

[ -f configure.in ] && libtoolize --copy --force
./configure \
	--prefix=%{prefix} \
	--x-libraries=/usr/X11R6/lib \
        --x-includes=/usr/X11R/include \
	--with-install-root=$RPM_BUILD_ROOT

make -j $CPUS CXX="$CXX" CC="$CC" \
              CFLAGS="$FLAGS" CXXFLAGS="$FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make install
for i in $RPM_BUILD_ROOT%{prefix}/bin/*; do
  strip -r .comment $i || : &>/dev/null
done

# don't make these world-writeable
chmod go-w $RPM_BUILD_ROOT/usr/share/apps/kscd/*
chmod go-w $RPM_BUILD_ROOT/usr/share/apps/kscd/cddb/*

rm -rf $RPM_BUILD_ROOT%{prefix}/bin/cddaslave

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

echo "%docdir /usr/share/doc/kde" >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Wed Aug 23 2000 Than Ngo <than@redhat.de>
- rebuilt against new DGA in 4.0.1-0.45

* Mon Aug 07 2000 Than Ngo <than@redhat.de>
- rebuilt against new DGA

* Thu Aug  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- some fixes and cleanups to specfile
- get rid of cddaslave (it's slowlaris only, Bug #9967)
- support ia64 specfile-wise, still excluded because of compiler bugs

* Sun Jul 30 2000 Than Ngo <than@redhat.de>
- fix to built against compat-egcs-c++
- cleanup specfile

* Mon Jun 05 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0
- current version from KDE_1_1_BRANCH

* Tue Feb 29 2000 Preston Brown <pbrown@redhat.com>
- fix localkscd patch, broken since 6.1 (#9404).

* Fri Feb  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Remove (world!) write permissions to /usr/share/apps/kscd/cddb/*
- fix description

* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Change the kmix error message (Bug #9065)
- Fix kmidi behavior when trying to play an empty playlist (Bug #8843)
- Fix compilation with kernel 2.3.x headers

* Sat Jan  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- current version from KDE_1_1_BRANCH
- work around make install-strip breakage
- Rebuild for 6.2

* Sat Sep 25 1999 Preston Brown <pbrown@redhat.com>
- patched kscd to use local user directory for cddb entries

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark doc files as such

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- 1.1.2 release.

* Mon Jun 14 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- snapshot from today fixed kmid freeze issues

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- complies w/new RPM, newer libstdc++

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged in updates from Duncan Haldane
